%define	upstream_name	 MP3-Icecast
%define	upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	MP3::Icecast - Generate Icecast streams
License: 	GPL
Group: 		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/A/AL/ALLENDAY/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:  perl(MP3::Info)
BuildRequires:  perl(URI)
BuildArch:	noarch


Provides:      perl-mp3-icecast
Obsoletes:     perl-mp3-icecast

%description
MP3::Icecast - Generate Icecast streams, as well as M3U and PLSv2 playlists.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc README Changes META.yml
%{perl_vendorlib}/MP3
%_mandir/man3/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.20.0-10.mga9
+ Revision: 1829941
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-9.mga8
+ Revision: 1495752
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-8.mga7
+ Revision: 1269881
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1030789
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 939481
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 745428
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 685304
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 369363
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 30769
- mageia rebuild
- imported package perl-MP3-Icecast


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 407808
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.02-12mdv2009.0
+ Revision: 257923
- rebuild
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.02-9mdv2008.1
+ Revision: 136291
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-9mdv2008.0
+ Revision: 86671
- rebuild


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 23:21:05 (53744)
- test in %%check
- rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 23:18:35 (53743)
Import perl-MP3-Icecast

* Thu Oct 06 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.02-7mdk
- Fix File section to own the directory

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.02-6mdk
- Rebuild

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.02-5mdk
- Use good name

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.02-4mdk
- Fix url

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.02-3mdk
- Fix BuildRequires
- %%mkrel

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.02-2mdk
- rebuild for new perl

* Mon Apr 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.02-1mdk
- initial spec

